View Issue Details

IDProjectCategoryView StatusLast Update
0021733mantisbtattachmentspublic2017-08-25 05:19
ReportervboctorAssigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionopen 
Product Version1.3.1 
Target VersionFixed in Version 
Summary0021733: Attachments should be linkable to notes in db
Description

When a user adds a note and an attachment together they should be linked in the db. We can use heuristics to link existing attachments that are upload by users within small N seconds of time they posted a note.

Tagsschema

Relationships

related to 0021727 closedvboctor Show attachments inline with notes 
has duplicate 0022262 closedatrol Including more than two attachments to a note 
has duplicate 0023261 closedatrol Reference to a note containing a file 
related to 0009802 acknowledged Private attachments 
related to 0023026 new 'Edit' button on bugnotes with only attachments 

Activities

cproensa

cproensa

2016-10-01 05:57

developer   ~0054103

I strongly suggest to normalize mantis_bug_file_table into:
file table
file relations table

The relation table should be able to link a file to a bug_id, a note_id, etc

The point about heuristics should not be included in this task, as it's not relevant once the data is linked at db level.
I mean, heuristic could be used as a tool to easily link a file to a note at upload time, but not later in time.

polzin

polzin

2017-01-05 05:00

reporter   ~0054935

This is fixed, right?

atrol

atrol

2017-01-05 05:06

developer   ~0054937

Last edited: 2017-06-16 07:37

View 2 revisions

This is fixed, right?

Not fixed, there is no link in db.
Maybe you got confused by 0021727

Issue History

Date Modified Username Field Change
2016-09-30 21:30 vboctor New Issue
2016-09-30 21:30 vboctor Tag Attached: schema
2016-09-30 21:32 vboctor Relationship added related to 0009802
2016-10-01 05:57 cproensa Note Added: 0054103
2016-11-04 09:36 dregad Relationship added related to 0021727
2017-01-05 05:00 polzin Note Added: 0054935
2017-01-05 05:06 atrol Note Added: 0054937
2017-01-27 01:59 atrol Relationship added has duplicate 0022262
2017-06-16 07:35 atrol Relationship added related to 0023026
2017-06-16 07:37 atrol Note Edited: 0054937 View Revisions
2017-08-25 05:19 atrol Relationship added has duplicate 0023261